Skip to main content
POST
/
dev
/
v1
/
payment-links
Create payment link
curl --request POST \
  --url https://api.shoppex.io/dev/v1/payment-links \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Spring sale",
  "type": "FIXED_PRICE",
  "status": true,
  "price": "19.99",
  "currency": "USD",
  "gateways": "stripe",
  "products_ids": "",
  "discount_code_allowed": false,
  "customer_address_required": false,
  "customer_phone_required": false,
  "show_confirmation_page": false
}
'
{
  "data": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Shoppex API key in the Authorization header.

Body

The body is of type object.

Response

Successful response

data
object